> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# search projects

> Search by params from response dto



## OpenAPI

````yaml /openapi.json post /api/v1/project/c3/{organisationId}/{licenseId}/search
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/project/c3/{organisationId}/{licenseId}/search:
    post:
      tags:
        - Project Route
      summary: search projects
      description: Search by params from response dto
      parameters:
        - name: licenseId
          in: path
          required: true
          schema:
            format: int64
            type: integer
        - name: organisationId
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JoinQuerySearchRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoProjectWithC3MetaDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    JoinQuerySearchRequestDto:
      type: object
      properties:
        from:
          format: int32
          description: Starting document offset
          default: 0
          minimum: 0
          type: integer
          example: 0
        size:
          format: int32
          description: The number of hits to return
          default: 10
          maximum: 10000
          minimum: 0
          type: integer
          example: 10
        where:
          description: Query string to search for data. Represent SQL 'where'
          type: string
          example: field1='value' and field2<>'value2'
        sort:
          description: Sorting for the search
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/SortDto'
        trackTotal:
          description: Return total results field if true
          default: false
          type: boolean
    PaginationDtoProjectWithC3MetaDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/ProjectWithC3MetaDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    SortDto:
      required:
        - field
      type: object
      properties:
        field:
          description: Field name for sorting
          pattern: \S
          type: string
          example: timestamp
        order:
          description: 'Order for the sorting. Default: ASC'
          type: string
          allOf:
            - $ref: '#/components/schemas/SortOrder'
    ProjectWithC3MetaDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        tenantId:
          format: int64
          description: ID of the tenant
          type: integer
        name:
          description: Name for the entity
          type: string
        legalName:
          description: Tenant legal name
          type: string
        description:
          description: Description for the entity
          type: string
        icon:
          description: Icon for the entity
          type: string
        website:
          description: Tenant website url
          type: string
        networkStatus:
          description: Tenant network development or deployment status
          type: string
          allOf:
            - $ref: '#/components/schemas/NetworkStatus'
        coinGeckoId:
          description: CoinGecko Id for this entity
          type: string
        params:
          description: Tenant dynamic params
          type: object
          additionalProperties: {}
        tags:
          description: Tags for the entity
          type: array
          items:
            type: string
        viewTenantIds:
          description: Set of tenants that can view this project
          uniqueItems: true
          type: array
          items:
            format: int64
            type: integer
        licenses:
          description: Tenant licenses associated with this tenant
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/LicenseInstanceDto'
        type:
          description: Type of the entity. Up to 100 characters.
          type: string
        meta:
          description: Meta info for the entity
          type: object
          additionalProperties: {}
        alertsCount:
          format: int64
          description: >-
            Total count of score change for this project. This is os joined
            fields, you cant search or sort by it
          type: integer
        notViewedCount:
          format: int64
          description: >-
            Total count of score change, that are not marked as viewed, for this
            project. This is os joined fields, you cant search or sort by it
          type: integer
        severityCount:
          description: >-
            Count of alerts by severity level for this project. This is os
            joined fields, you cant search or sort by it
          type: object
          additionalProperties:
            format: int64
            type: integer
        groupedScore:
          description: >-
            Count of alerts by severity level for this project. This is os
            joined fields, you cant search or sort by it
          type: object
          additionalProperties:
            format: double
            type: number
    SortOrder:
      enum:
        - Asc
        - Desc
      type: string
    NetworkStatus:
      enum:
        - TESTNET
        - MAINNET
        - NONE
      type: string
    LicenseInstanceDto:
      required:
        - license
        - organisationId
        - projectId
        - licenseStatus
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        license:
          description: License object
          type: object
          allOf:
            - $ref: '#/components/schemas/LicenseDto'
        organisationId:
          format: int64
          description: Organisation id
          type: integer
        projectId:
          format: int64
          description: Project id
          type: integer
        licenseStatus:
          description: Organisation Tenant License status
          type: string
          allOf:
            - $ref: '#/components/schemas/LicenseStatus'
        licenseInstanceMeta:
          description: Metadata of license instance
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/LicenseInstanceMetaDto'
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    LicenseDto:
      required:
        - name
        - version
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        name:
          description: Name of the license
          type: string
        version:
          description: Version of the license
          type: string
        icon:
          description: License icon
          type: string
        scoreGroups:
          description: Score groups related to current license
          type: array
          items:
            $ref: '#/components/schemas/ScoreGroupDto'
        params:
          description: License dynamic params.
          type: object
          additionalProperties: {}
          example: '{ ""minScore": 0, "maxScore": 1 }'
        groupScript:
          description: >-
            Groovy script that calculates scoring groups for score change under
            this license
          type: string
        scoreScript:
          description: >-
            Groovy script that calculates score change value for score change
            under this license
          type: string
    LicenseStatus:
      enum:
        - PENDING
        - LICENCED
        - CANCELED
      type: string
    LicenseInstanceMetaDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        licenseInstanceId:
          format: int64
          description: License instance id
          type: integer
        startedAt:
          description: License start date
          type: string
          allOf:
            - $ref: '#/components/schemas/Instant'
        expiredAt:
          description: License expiration date
          type: string
          allOf:
            - $ref: '#/components/schemas/Instant'
    ScoreGroupDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        name:
          description: Internal key of score group
          type: string
        title:
          description: Score group title to be displayed to user
          type: string
        description:
          description: Score group description
          type: string
    Instant:
      format: date-time
      type: string
      example: '2022-03-10T16:15:50Z'
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````